require 'occi4/core/properties'
require 'occi4/core/attributes'
require 'occi4/core/category'
require 'occi4/core/categories'
require 'occi4/core/kind'
require 'occi4/core/kinds'
require 'occi4/core/mixin'
require 'occi4/core/mixins'
require 'occi4/core/dependencies'
require 'occi4/core/action'
require 'occi4/core/action_instance'
require 'occi4/core/actions'
require 'occi4/core/entities'
require 'occi4/core/entity'
require 'occi4/core/link'
require 'occi4/core/links'
require 'occi4/core/resource'
require 'occi4/core/resources'

module Occi
  module Core

    extend Occi

    def self.kinds
      Occi::Core::Kinds.new << Occi::Core::Entity.kind << Occi::Core::Link.kind << Occi::Core::Resource.kind
    end

  end
end